Regulatory
Create address
Create a regulatory address for phone number purchases. Some countries require a verified address before phone numbers can be activated.
POST
/
v1
/
addresses
Create address
curl --request POST \
--url https://api.zavu.dev/v1/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"streetAddress": "123 Main St",
"locality": "Berlin",
"postalCode": "10115",
"countryCode": "DE"
}
'import requests
url = "https://api.zavu.dev/v1/addresses"
payload = {
"firstName": "John",
"lastName": "Doe",
"streetAddress": "123 Main St",
"locality": "Berlin",
"postalCode": "10115",
"countryCode": "DE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
streetAddress: '123 Main St',
locality: 'Berlin',
postalCode: '10115',
countryCode: 'DE'
})
};
fetch('https://api.zavu.dev/v1/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"id": "<string>",
"streetAddress": "<string>",
"locality": "<string>",
"postalCode": "<string>",
"countryCode": "DE",
"createdAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"extendedAddress": "<string>",
"administrativeArea": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
200Maximum string length:
100Maximum string length:
20Required string length:
2Example:
"DE"
Maximum string length:
100Maximum string length:
100Maximum string length:
200Maximum string length:
100Maximum string length:
100Response
Address created.
A regulatory address for phone number requirements.
Show child attributes
Show child attributes
⌘I
Create address
